package com.yizhi.site.application.feign.api;

import com.yizhi.site.application.vo.site.DayNumVo;
import com.yizhi.site.application.vo.site.EventTrackDayNumVo;
import com.yizhi.site.application.vo.site.EventTrackDeptNumVo;
import com.yizhi.site.application.vo.site.EventTrackTypeNumVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * com.yizhi.site.application.feign.api
 *
 * @author yanglang
 * @create 2025-01-14 11:00:10
 */
@FeignClient(name = "portal", contextId = "EventTrackApiClients")
public interface EventTrackApiClients {
    @GetMapping("/api/eventTrack/addEvent")
    void addEvent(@RequestParam("type") String type, @RequestParam("businessId") Long businessId);

    @GetMapping("/api/eventTrack/getTodayNum")
    EventTrackDayNumVo getTodayNum(@RequestParam(value = "date",required = false)  String date);

    @GetMapping("/api/eventTrack/getNumByType")
    DayNumVo getNumByType(@RequestParam(value = "date",required = false) String date, @RequestParam("types")List<Integer> types);

    @GetMapping("/api/eventTrack/queryNumByType")
    List<EventTrackTypeNumVo> queryNumByType(@RequestParam(value = "date",required = false) String date, @RequestParam("types")List<Integer> types);

    @GetMapping("/api/eventTrack/queryDeptByType")
    List<EventTrackDeptNumVo> queryDeptByType(@RequestParam(value = "date",required = false) String date, @RequestParam("types")List<Integer> types);
}
