package com.yizhi.site.application.vo.domain;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 自定义页底-链接
 * </p>
 *
 * @author hutao123
 * @since 2019-02-21
 */
@Data
@Api(tags = "MyItemConfigEntityVo", description = "我的配置")
public class MyItemConfigVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "栏目id")
    private Long id;

    @ApiModelProperty(value = "栏目名称")
    private String name;

    @ApiModelProperty(value = "栏目code")
    private String pcCode;

    @ApiModelProperty(value = "配合前端在学员端跳转页面所需addUrl")
    private String pcAddUrl;

    @ApiModelProperty(value = "栏目code")
    private String weixinCode;

    @ApiModelProperty(value = "栏目类型 1-我的培训" + "2-我的课程" + "3-我的作业" + "4-我的考试" + "5-我的调研" +
            "6-我的积分" + "7-我的做课" + "8-我的投票" + "9-我的分享" + "10-我的消息" + "11-收藏" + "12-我的证书"+"签到"+"我的收藏"
    +"13-")
    private Integer itemType;

    @ApiModelProperty(value = "0 :未删除   1: 删除(默认为0) ")
    private Integer deleted;

    @ApiModelProperty(value = "是否显示:0不显示,1显示（默认为0）")
    private Integer showable;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "终端类型：1-PC端、2-移动端 3-PC端&移动端")
    private Integer terminalType;

    @ApiModelProperty(value = "站点_ID")
    private Long siteId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人id")
    private Long createById;

    @ApiModelProperty(value = "创建人姓名")
    private String createByName;

    private Date updateTime;

    private Long updateById;

    private String updateByName;



    protected Serializable pkVal() {
        return this.id;
    }

}
