package com.yizhi.site.application.controller.api;

import com.yizhi.site.application.service.EventTrackService;
import com.yizhi.site.application.vo.site.DayNumVo;
import com.yizhi.site.application.vo.site.EventTrackDayNumVo;
import com.yizhi.site.application.vo.site.EventTrackDeptNumVo;
import com.yizhi.site.application.vo.site.EventTrackTypeNumVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * com.yizhi.site.application.controller.api
 *
 * @author yanglang
 * @create 2025-01-14 10:57:55
 */
@RestController
public class EventTrackController {

    @Autowired
    private EventTrackService eventTrackService;


    @GetMapping("/api/eventTrack/addEvent")
    public void addEvent(@RequestParam("type") String type, @RequestParam("businessId") Long businessId){
        eventTrackService.addEvent(type,businessId);
    }


    @GetMapping("/api/eventTrack/getTodayNum")
    public EventTrackDayNumVo getTodayNum(@RequestParam(value = "date",required = false) String date){
        return eventTrackService.getTodayNum(date);
    }

    @GetMapping("/api/eventTrack/getNumByType")
    public DayNumVo getNumByType(@RequestParam(value = "date",required = false) String date, @RequestParam("types") List<Integer> types){
        return eventTrackService.getNumByType(date,types);
    }

    @GetMapping("/api/eventTrack/queryNumByType")
    public List<EventTrackTypeNumVo> queryNumByType(@RequestParam(value = "date",required = false) String date, @RequestParam("types")List<Integer> types){
        return eventTrackService.queryNumByType(date,types);
    }

    @GetMapping("/api/eventTrack/queryDeptByType")
    public List<EventTrackDeptNumVo> queryDeptByType(@RequestParam(value = "date",required = false) String date, @RequestParam("types")List<Integer> types){
        return eventTrackService.queryDeptByType(date,types);
    }
}
