package com.yizhi.site.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author bob123
 * @since 2018-03-27
 */
@ApiModel(value = "PortalTemplate", description = "正文模板")
@Data
@TableName("tr_portal_template")
public class PortalTemplate extends Model<PortalTemplate> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "模块ID")
    private Long id;
    
    @ApiModelProperty(value = "首页ID")
    @TableField("home_id")
    private Long homeId;
    
    @ApiModelProperty(value = "站点ID")
    @TableField("site_id")
    private Long siteId;
    
    @ApiModelProperty(value = "板块类型,1:推荐/精选,2:项目培训,3:课程,5:直播,4:讲师库")
    @TableField("module_type")
    private Integer moduleType;
    
    @ApiModelProperty(value = "图片logo")
    @TableField("icon")
    private String icon;
    
    @ApiModelProperty(value = "模块名称")
    @TableField("module_name")
    private String moduleName;
    
    @ApiModelProperty(value = "选择项目, 推荐/精选 项目培训 课程 有,  直播 新闻 没有")
    @TableField("select_project")
    private String selectProject;
    
    @ApiModelProperty(value = "选择项目名称")
    @TableField("select_project_name")
    private String selectProjectName;
    
    @ApiModelProperty(value = "内容个数")
    private Integer num;
    
    @ApiModelProperty(value = "0: 删除  1: 未发布  2：发布")
    private Integer state;
    
    @ApiModelProperty(value = "1显示  2 不显示")
    private Integer display;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;
    
    @ApiModelProperty(value = "创建人")
    @TableField("create_by_id")
    private Long createById;
    
    @ApiModelProperty(value = "创建姓名")
    @TableField("create_by_name")
    private String createByName;
    
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private Date updateTime;
    
    @ApiModelProperty(value = "更新人")
    @TableField("update_by_id")
    private Long updateById;
    
    @ApiModelProperty(value = "更新姓名")
    @TableField("update_by_name")
    private String updateByName;
    
    @ApiModelProperty(value = "排序规则")
    private Integer sort;
    

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
